# Multi-Processing Module perchild

This Multi-Processing Module allows for daemon processes serving requests to be assigned a variety of different userids.

Status: MPM
Source File: perchild.c
Module Identifier: mpm_perchild_module

## Summary

This module creates and controls processes and threads in a manner identical to dexter. However, it adds the extra ability to specify that specific processes should serve requests under different userids. These processes can then be associated with specific virtual hosts.

## Directives

- AssignUserID
- ChildPerUserID
- ConnectionStatus
- CoreDumpDirectory
- Group
- PidFile
- Listen
- ListenBacklog
- LockFile
- MaxRequestsPerChild
- MaxSpareThreads
- MaxThreadsPerChild
- MinSpareThreads
- NumServers
- ScoreBoardFile
- SendBufferSize
- StartThreads
- User

## AssignUserID directive

Syntax:
Default:
Context: server config
Status: MPM
Module: perchild

Tie a virtual host to a specific child process.

## ChilePerUserID directive

Syntax:
Default:
Context: server config
Status: MPM
Module: perchild

Specify a User and Group for a specific child process.